![bíogo](https://raw.githubusercontent.com/biogo/biogo/master/biogo.png)

# Store

[![Build Status](https://travis-ci.org/biogo/store.svg?branch=master)](https://travis-ci.org/biogo/store)

## Installation

```
$ go get github.com/biogo/store/...
```

## Overview

Store provides a number of data store types that are useful for bioinformatic analysis.

* Left-Leaning Red-Black tree

* Interval tree

* k-d tree

* Run-length encoding data store

## Citing

If you use bíogo, please cite Kortschak and Adelson "bíogo: a simple high-performance bioinformatics toolkit for the Go language", doi:[10.1101/005033](http://biorxiv.org/content/early/2014/05/12/005033).

## Library Structure and Coding Style

The coding style should be aligned with normal Go idioms as represented in the
Go core libraries.

## Copyright and License

Copyright ©2011-2013 The bíogo Authors except where otherwise noted. All rights
reserved. Use of this source code is governed by a BSD-style license that can be
found in the LICENSE file.

The bíogo logo is derived from Bitstream Charter, Copyright ©1989-1992
Bitstream Inc., Cambridge, MA.

BITSTREAM CHARTER is a registered trademark of Bitstream Inc.
